Author: Adrien Cunin <adri2000@ubuntu.com>
Description: make configure only warn if xdg-open is not present.
--- a/configure.in
+++ b/configure.in
@@ -446,7 +446,7 @@
 
     AC_PATH_PROG(xdgopen, xdg-open)
     if test -z "$xdgopen"; then
-      AC_MSG_ERROR([xdg-open not found. This program is the preferred way to launch the default browser. Please install the xdg-utils.])
+      AC_MSG_WARN([xdg-open not found. This program is the preferred way to launch the default browser. Please make sure that xdg-utils is installed at runtime.])
     fi
 
     PKG_CHECK_MODULES(LIBGTK, gtk+-2.0,, [
--- a/configure
+++ b/configure
@@ -17319,7 +17319,7 @@
 
 
     if test -z "$xdgopen"; then
-      as_fn_error $? "xdg-open not found. This program is the preferred way to launch the default browser. Please install the xdg-utils." "$LINENO" 5
+      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: xdg-open not found. This program is the preferred way to launch the default browser. Please make sure that xdg-utils is installed at runtime." >&5cho "$as_me: WARNING: xdg-open not found. This program is the preferred way to launch the default browser. Please make sure that xdg-utils is installed at runtime." >&2;}
     fi
 
 
